diff --git a/contrib/tspell/tspell/triebase.hh b/contrib/tspell/tspell/triebase.hh
index e458b05..0229222 100644
--- a/contrib/tspell/tspell/triebase.hh
+++ b/contrib/tspell/tspell/triebase.hh
@@ -22,22 +22,22 @@
 
 namespace TSpell {
 
-template<class Char>
-struct Node {
-	Node* parent;
-	Node* next;
-	Node* child;
+template<typename Char>
+struct TNode {
+	TNode* parent;
+	TNode* next;
+	TNode* child;
 	Char ch;
 	bool data;
 
-	Node(Node* p, Char c) : parent(p), next(NULL), child(NULL), ch(c), data(false) {
+	TNode(TNode* p, Char c) : parent(p), next(NULL), child(NULL), ch(c), data(false) {
 	}
 };
 
 template<class Char, class Appender>
 class TrieBase {
 protected:
-	typedef Node<Char> Node;
+	typedef TNode<Char> Node;
 
 protected:
 	Node* root_;
diff --git a/contrib/tspell/tspell/unitrie.hh b/contrib/tspell/tspell/unitrie.hh
index 2ba698f..6814c8b 100644
--- a/contrib/tspell/tspell/unitrie.hh
+++ b/contrib/tspell/tspell/unitrie.hh
@@ -30,7 +30,7 @@ namespace TSpell {
 
 class UnicodeStringSetAppender {
 public:
-	typedef Node<UChar> Node;
+	typedef TNode<UChar> Node;
 
 	typedef std::set<UnicodeString> Set;
 
